Skip to main content
POST
Create an arrangement

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Owning participant id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000aa"

Body

application/json
code
string
required

Card-scheme arrangement code.

Example:

"VCC"

role
string
required

Participant role for this arrangement.

Example:

"ACQUIRER"

active
boolean | null

Whether the arrangement is active; defaults to true when omitted.

Example:

true

Response

Created

active
boolean
required

Whether the arrangement is active.

Example:

true

code
string
required

Card-scheme arrangement code.

Example:

"VCC"

createdAt
string<date-time>
required

Creation timestamp (RFC3339 UTC).

Example:

"2026-06-15T07:50:00Z"

id
string
required

Arrangement id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000bb"

participantId
string
required

Owning participant id (UUID).

Example:

"0190b5a0-0000-7000-8000-0000000000aa"

role
string
required

Participant role for this arrangement.

Example:

"ACQUIRER"

updatedAt
string<date-time>
required

Last-update timestamp (RFC3339 UTC).

Example:

"2026-06-15T07:50:00Z"